/*
 *  Copyright 2005 Georgetown University
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
package edu.georgetown.middleware.shibboleth.idp.ha;

/**
 * Exception thrown when there is a problem starting up the replication
 * @author Chad La Joie
 */
public class ConfigurationException extends Exception {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -2887765880454402504L;

    /**
     * Constructor.
     */
    public ConfigurationException() {
        super();
    }
    
    /**
     * Constructor.
     * 
     * @param message exception message
     */
    public ConfigurationException(String message) {
        super(message);
    }
    
    /**
     * Constructor.
     * 
     * @param wrappedException exception to be wrapped by this one
     */
    public ConfigurationException(Exception wrappedException) {
        super(wrappedException);
    }
    
    /**
     * Constructor.
     * 
     * @param message exception message
     * @param wrappedException exception to be wrapped by this one
     */
    public ConfigurationException(String message, Exception wrappedException) {
        super(message, wrappedException);
    }
}
